--- libtecla/Makefile.in	Sun Oct 31 12:30:57 2004
+++ libtecla/Makefile.in	Tue Jan 24 11:11:13 2012
@@ -187,24 +187,24 @@
                autom*.cache
 	cp $(srcdir)/Makefile.stub Makefile
 
-install_lib: $(TARGETS) $(LIBDIR)
+install_lib: $(TARGETS) $(DESTDIR)$(LIBDIR)
 	@for lib in libtecla.a libtecla_r.a ; do \
 	   if [ -f $$lib ] ; then \
-	     cp $$lib $(LIBDIR)/ ; chmod ugo+r $(LIBDIR)/$$lib; \
-	     echo "cp $$lib $(LIBDIR)/ ; chmod ugo+r $(LIBDIR)/$$lib"; \
+	     cp $$lib $(DESTDIR)$(LIBDIR)/ ; chmod ugo+r $(DESTDIR)$(LIBDIR)/$$lib; \
+	     echo "cp $$lib $(DESTDIR)$(LIBDIR)/ ; chmod ugo+r $(DESTDIR)$(LIBDIR)/$$lib"; \
 	   fi ; \
 	done
 	@for lib in libtecla libtecla_r ; do \
 	   src="$$lib@SHARED_EXT@"; \
 	   if [ -f $$src ] ; then \
-	     dst="$(LIBDIR)/$$src"; \
+	     dst="$(DESTDIR)$(LIBDIR)/$$src"; \
 	     cp -f $$src $$dst; chmod a=rX $$dst; \
 	     echo "cp -f $$src $$dst ; chmod a=rX $$dst"; \
 	     endings="@SHARED_ALT@" ; \
 	     for alt in $$endings ; do \
 	       lnk="$$lib$$alt"; \
-	       (cd $(LIBDIR); rm -f $$lnk; @LN_S@ $$src $$lnk); \
-	       echo "(cd $(LIBDIR); rm -f $$lnk; @LN_S@ $$src $$lnk)"; \
+	       (cd $(DESTDIR)$(LIBDIR); rm -f $$lnk; @LN_S@ $$src $$lnk); \
+	       echo "(cd $(DESTDIR)$(LIBDIR); rm -f $$lnk; @LN_S@ $$src $$lnk)"; \
 	     done ; \
 	   fi ; \
 	done
@@ -209,19 +209,19 @@
 	   fi ; \
 	done
 
-install_inc: $(INCDIR)
+install_inc: $(DESTDIR)$(INCDIR)
 	@if [ -f $(srcdir)/libtecla.h ]; then \
-	  cp $(srcdir)/libtecla.h $(INCDIR)/ ; chmod ugo+r $(INCDIR)/libtecla.h; \
-	  echo "cp $(srcdir)/libtecla.h $(INCDIR)/ ; chmod ugo+r $(INCDIR)/libtecla.h"; \
+	  cp $(srcdir)/libtecla.h $(DESTDIR)$(INCDIR)/ ; chmod ugo+r $(DESTDIR)$(INCDIR)/libtecla.h; \
+	  echo "cp $(srcdir)/libtecla.h $(DESTDIR)$(INCDIR)/ ; chmod ugo+r $(DESTDIR)$(INCDIR)/libtecla.h"; \
 	fi
 
-install_man: $(MANDIR) libr_man func_man prog_man misc_man file_man
+install_man: $(DESTDIR)$(MANDIR) libr_man func_man prog_man misc_man file_man
 
 libr_man:
 	if test "@MAKE_MAN_PAGES@"_ = "yes"_; then \
 	  for template in man/libr/*.in; do \
 	    page=`basename "$$template" .in`; \
-	    $(srcdir)/install-sh -c -m 644 man/libr/$$page ${MANDIR}/@LIBR_MANDIR@/$$page.@LIBR_MANEXT@; \
+	    $(srcdir)/install-sh -c -m 644 man/libr/$$page $(DESTDIR)${MANDIR}/@LIBR_MANDIR@/$$page.@LIBR_MANEXT@; \
 	  done ; \
 	fi
 
@@ -229,7 +229,7 @@
 	if test "@MAKE_MAN_PAGES@"_ = "yes"_; then \
 	  for template in man/func/*.in; do \
 	    page=`basename "$$template" .in`; \
-	    $(srcdir)/install-sh -c -m 644 man/func/$$page ${MANDIR}/@FUNC_MANDIR@/$$page.@FUNC_MANEXT@; \
+	    $(srcdir)/install-sh -c -m 644 man/func/$$page $(DESTDIR)${MANDIR}/@FUNC_MANDIR@/$$page.@FUNC_MANEXT@; \
 	  done ; \
 	fi
 
@@ -237,7 +237,7 @@
 	if test "@MAKE_MAN_PAGES@"_ = "yes"_; then \
 	  for template in man/prog/*.in; do \
 	    page=`basename "$$template" .in`; \
-	    $(srcdir)/install-sh -c -m 644 man/prog/$$page ${MANDIR}/@PROG_MANDIR@/$$page.@PROG_MANEXT@; \
+	    $(srcdir)/install-sh -c -m 644 man/prog/$$page $(DESTDIR)${MANDIR}/@PROG_MANDIR@/$$page.@PROG_MANEXT@; \
 	  done ; \
 	fi
 
@@ -245,7 +245,7 @@
 	if test "@MAKE_MAN_PAGES@"_ = "yes"_; then \
 	  for template in man/misc/*.in; do \
 	    page=`basename "$$template" .in`; \
-	    $(srcdir)/install-sh -c -m 644 man/misc/$$page ${MANDIR}/@MISC_MANDIR@/$$page.@MISC_MANEXT@; \
+	    $(srcdir)/install-sh -c -m 644 man/misc/$$page $(DESTDIR)${MANDIR}/@MISC_MANDIR@/$$page.@MISC_MANEXT@; \
 	  done ; \
 	fi
 
@@ -253,14 +253,14 @@
 	if test "@MAKE_MAN_PAGES@"_ = "yes"_; then \
 	  for template in man/file/*.in; do \
 	    page=`basename "$$template" .in`; \
-	    $(srcdir)/install-sh -c -m 644 man/file/$$page ${MANDIR}/@FILE_MANDIR@/$$page.@FILE_MANEXT@; \
+	    $(srcdir)/install-sh -c -m 644 man/file/$$page $(DESTDIR)${MANDIR}/@FILE_MANDIR@/$$page.@FILE_MANEXT@; \
 	  done ; \
 	fi
 
-install_bin: $(BINDIR) $(PROGRAMS) $(PROGRAMS_R)
+install_bin: $(DESTDIR)$(BINDIR) $(PROGRAMS) $(PROGRAMS_R)
 	progs="$(PROGRAMS) $(PROGRAMS_R)"; \
 	for prog in $$progs; do \
-	  $(srcdir)/install-sh -c -m 755 -s $$prog $(BINDIR)/; \
+	  $(srcdir)/install-sh -c -m 755 -s $$prog $(DESTDIR)$(BINDIR)/; \
 	done
 
 install: install_lib install_inc install_man install_bin
@@ -267,6 +267,6 @@
 
 # Make any missing installation directories.
 
-$(MANDIR) $(LIBDIR) $(INCDIR) $(BINDIR):
+$(DESTDIR)$(MANDIR) $(DESTDIR)$(LIBDIR) $(DESTDIR)$(INCDIR) $(DESTDIR)$(BINDIR):
 	$(srcdir)/install-sh -d $@
 	chmod ugo+rx $@
